Skip to main content
`Ctrl`+`K`

# scipy.special.dawsn

scipy.special.dawsn(x, out=None) = <ufunc 'dawsn'>

  Dawson’s integral.

  Computes:

      exp(-x**2) * integral(exp(t**2), t=0..x).

  Parameters:
    x array_like

      Function parameter.

    out ndarray, optional

      Optional output array for the function values

  Returns:
    y scalar or ndarray

      Value of the integral.

  See also

  `wofz`, `erf`, `erfc`, `erfcx`, `erfi`

  References

  [1]

  Steven G. Johnson, Faddeeva W function implementation. http://ab-initio.mit.edu/Faddeeva

  Examples

      >>> import numpy as np
      >>> from scipy import special
      >>> import matplotlib.pyplot as plt
      >>> x = np.linspace(-15, 15, num=1000)
      >>> plt.plot(x, special.dawsn(x))
      >>> plt.xlabel('$x$')
      >>> plt.ylabel('$dawsn(x)$')
      >>> plt.show()